application:setBackgroundColor(0)
local todayCalories = 0;

function addCalories (val)
	todayCalories = todayCalories + val
	txtCalories:setText(todayCalories .. " kcal")
	txtCalories:setPosition((application:getContentWidth()/2) - (txtCalories:getWidth()/2), 390)
end

local mockupBitmap = Bitmap.new(Texture.new("imgs/MOCKUP01.png", true))
--stage:addChild(mockupBitmap)

local bmpBgBig = Bitmap.new(Texture.new("imgs/bgBig.jpg", true))
stage:addChild(bmpBgBig)

local bmp20 = Bitmap.new(Texture.new("imgs/btn20.png", true))
bmp20.inPosition = {x = 10, y = 625, alpha = 1}
bmp20.outPosition = {x = -150, y = 850, alpha = 0}
bmp20.inScreen = false
bmp20.inAnimate = function()
	GTween.new(bmp20, 0.3, bmp20.inPosition, {delay = 0, ease = easing.outQuadratic })
	bmp20.inScreen = true
end
bmp20.outAnimate = function()
	GTween.new(bmp20, 0.3, bmp20.outPosition, {delay = 0, ease = easing.outQuadratic })
	bmp20.inScreen = false
end
bmp20:setPosition(bmp20.outPosition.x, bmp20.outPosition.y)
bmp20:setAlpha(bmp20.outPosition.alpha)
stage:addChild(bmp20)
bmp20.inAnimate()

local bmp100 = Bitmap.new(Texture.new("imgs/btn100.png", true))
bmp100:setPosition(-150,850)
bmp20:setAlpha(0)
GTween.new(bmp100, 0.3, {x=174, y=625, alpha=1}, {delay = 1.1, ease = easing.outQuadratic })
stage:addChild(bmp100)

local bmp500 = Bitmap.new(Texture.new("imgs/btn500.png", true))
bmp500:setPosition(-150,850)
bmp20:setAlpha(0)
GTween.new(bmp500, 0.3, {x=338, y=625, alpha=1}, {delay = 1.2, ease = easing.outQuadratic })
stage:addChild(bmp500)

bmp500:addEventListener(Event.MOUSE_UP, function(event)
	if bmp500:hitTestPoint(event.x, event.y) then
		print("you clicked 500")
		addCalories(500)
	end
end)

bmp100:addEventListener(Event.MOUSE_UP, function(event)
	if bmp100:hitTestPoint(event.x, event.y) then
		print("you clicked 100")
		addCalories(100)
	end
end)

bmp20:addEventListener(Event.MOUSE_UP, function(event)
	if bmp20:hitTestPoint(event.x, event.y) then
		print("you clicked 20")
		addCalories(20)
	end
end)

fontLarge = TTFont.new("fonts/Questrial-Regular.ttf", 80, true)

txtCalories = TextField.new(fontLarge, todayCalories .. " kcal")
txtCalories:setPosition((application:getDeviceWidth()/2) - (txtCalories:getWidth()/2), 390)
txtCalories:setAlpha(0)
GTween.new(txtCalories, 0.4, {alpha=1}, {delay = 1, ease = easing.outQuadratic })
--addCalories(0)
txtCalories:setTextColor(0x00FF7A)
stage:addChild(txtCalories)


stage:addEventListener(Event.KEY_DOWN, function(event)
	 if event.keyCode == KeyCode.BACK then
		-- Manage back button behaviour here
		--[[
		if bmp20.inScreen then
			bmp20.outAnimate()
		else
			bmp20.inAnimate()
		end
		--]]
	end
end)





